Bug 128716 - Steps in Chart Wizard don't work ( gtk3 )
Summary: Steps in Chart Wizard don't work ( gtk3 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-11-11 16:41 UTC by Xisco Faulí
Modified: 2019-11-13 09:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-11-11 16:41:38 UTC
Steps to reproduce:
1. Open Calc
2. Insert - Chart

-> Steps on the left don't work

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: fea5c10e222b10d83e0081dc1d1b2e678689d250
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-11-11 16:42:24 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d661cb17610af93b1607025284f23187c6d2fc06

author	Caolán McNamara <caolanm@redhat.com>	2019-08-22 11:15:57 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-08-22 18:26:41 +0200
commit	d661cb17610af93b1607025284f23187c6d2fc06 (patch)
tree	855cf44dd6d3cb6232b0aaa2087da770350d202a
parent	38001018fa06f721cf87edae923b54ce9a5ab5a7 (diff)
weld chart CreationWizard

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-11-11 17:11:54 UTC
yeah, gtk wizards don't have them, so we'll have to bodge them in on top somehow
Comment 3 Commit Notification 2019-11-12 14:53:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f9e693cbe13a8ff55de112d709d1409c67887f2a

Resolves: tdf#128716 make gtk assistant steps clickable

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-11-13 09:43:39 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: 26b7ff2b6cc4def8ff7b02e223961534ba88e654
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!